Package org.jboss.resteasy.specimpl

## Class ResteasyUriInfo.InitData

- java.lang.Object
- - org.jboss.resteasy.specimpl.ResteasyUriInfo.InitData

- Enclosing class:
    ResteasyUriInfo

      public static class ResteasyUriInfo.InitData
      extends Object

  Holds the data that is needed to initialize ResteasyUriInfo The reason to extract this data into a separate class is that it's expensive to produce and can be cached under certain circumstances

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InitData​(String absoluteUri, String contextPath)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `canBeCached​(String absoluteUri)` | The InitData can be cached if it doesn't contain matrix variables which would result in a cache entry per different value of any matrix param Query params are not a problem since there names and values don't affect the production of InitData
    `static String` | `getCacheKey​(String absoluteUri, String contextPath)` |
    `String` | `getEncodedPath()` |
    `List<javax.ws.rs.core.PathSegment>` | `getEncodedPathSegments()` |
    `String` | `getMatchingPath()` |
    `String` | `getPath()` |
    `List<javax.ws.rs.core.PathSegment>` | `getPathSegments()` |
    `int` | `getPathStart()` |
    `int` | `getQueryIdx()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InitData

          public InitData​(String absoluteUri,
                          String contextPath)

  - ### Method Detail

    - #### getQueryIdx

          public int getQueryIdx()

    - #### getPathStart

          public int getPathStart()

    - #### getEncodedPath

          public String getEncodedPath()

    - #### getPath

          public String getPath()

    - #### getEncodedPathSegments

          public List<javax.ws.rs.core.PathSegment> getEncodedPathSegments()

    - #### getPathSegments

          public List<javax.ws.rs.core.PathSegment> getPathSegments()

    - #### getMatchingPath

          public String getMatchingPath()

    - #### canBeCached

          public static boolean canBeCached​(String absoluteUri)

      The InitData can be cached if it doesn't contain matrix variables which would result in a cache entry per different value of any matrix param Query params are not a problem since there names and values don't affect the production of InitData

    - #### getCacheKey

          public static String getCacheKey​(String absoluteUri,
                                           String contextPath)